Why would you prefer to write the program in machine-independent rather than
machine-dependent language? Why to write some types of programs
Would a machine-dependent language be more appropriate?

1) machine independent languages are easy to understand, making it much easier to write programs than in a machine language.Programs that are written in a machine-dependent language will not work on other computers.Programming in machine languages was simply too slow for most programmers, too vulnerable to bugs.



2)a machine-dependent programming language would be suitable for writing software for certain types of computers and they will run faster
